__all__ = ["regions","UCSCMASKEDSEQPATH","UCSCNOMASKSEQPATH","UCSCPHASTCONSPATH"]

import os.path

UCSCMASKEDSEQPATH = {}
UCSCNOMASKSEQPATH = {}
UCSCPHASTCONSPATH = {}

GENOME_F   = 0
DATATYPE_F = 1
PATH_F     = 2

def initialize_data_paths(maskedseq,nomaskseq,phastcons):

    conf_file = os.path.join(os.path.split(__file__)[0],"data/datapath.conf")
 
    try:
        fp = open(conf_file,'r')
    except IOError:
        print "Unable to open file datapath.conf"
        raise

    pathdict = {}
    for line in fp.readlines():
        if line[0] != '#':
            f = line.split()
            #pathdict[f[0]] = f[1]

            if len(f) > 2:
                if f[DATATYPE_F]   == "PHASTCONS":
                    phastcons[ f[GENOME_F] ] = os.path.join(base,f[PATH_F] )
                elif f[DATATYPE_F] == "MASKED_SEQUENCE":
                    maskedseq[ f[GENOME_F] ] = os.path.join(base,f[PATH_F])
                elif f[DATATYPE_F] == "SEQUENCE":
                    nomaskseq[ f[GENOME_F] ] = os.path.join(base,f[PATH_F])
            elif len(f) > 1:
                if f[0] == 'BASE':
                    base = f[1]

    # test if paths exist
    phastconskeys = phastcons.keys()
    for elem in phastconskeys:
        if not os.path.isdir( phastcons[elem] ):
            print "Phastcons path %s for genome %s misspecified in cistrome/data/datapath.conf file." % (phastcons[elem],elem)
            del(phastcons[elem])
 
    maskedseqkeys = maskedseq.keys()
    for elem in maskedseqkeys:
        if not os.path.isdir( maskedseq[elem] ):
            print "Masked sequence path %s for genome %s misspecified in cistrome/data/datapath.conf file." % (maskedseq[elem],elem) 
            del(maskedseq[elem])

    nomaskseqkeys = nomaskseq.keys()
    for elem in nomaskseqkeys:
        if not os.path.isdir( nomaskseq[elem] ):
            print "Unmasked sequence path %s for genome %s misspecified in cistrome/data/datapath.conf file." % (nomaskseq[elem],elem)
            del(nomaskseq[elem])

    return

initialize_data_paths(UCSCMASKEDSEQPATH,UCSCNOMASKSEQPATH,UCSCPHASTCONSPATH)
