<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="utf-8"/>
<xsl:template match="/">

<html>
<head>
	<title>motif.xml</title>
</head>
<body>
<table cellspacing="1" border="1" bordercolor="#FF9900">
	<THEAD>
		<TR>
			<TD bgcolor="#FFFF99"><B>ID</B></TD>
			<TD bgcolor="#FFFF99"><B>SOURCE</B></TD>
			<TD bgcolor="#FFFF99"><B>STATUS</B></TD>
			<TD bgcolor="#FFFF99"><B>SPECIES</B></TD>
			<TD bgcolor="#FFFF99"><B>SYMBOL</B></TD>
			<TD bgcolor="#FFFF99"><B>ENTREZ</B></TD>
			<TD bgcolor="#FFFF99"><B>REFSEQ</B></TD>
			<TD bgcolor="#FFFF99"><B>DESCRIPTION</B></TD>
			<TD bgcolor="#FFFF99"><B>DBD</B></TD>
			<TD bgcolor="#FFFF99"><B>PMID</B></TD>
			<TD bgcolor="#FFFF99"><B>SEQLOGO</B></TD>
		</TR>
	</THEAD>
	<TBODY>
		<xsl:for-each select="motifs/motif">
		<TR>
			<TD><a target="_blank"><xsl:attribute name="href"><xsl:value-of select="normalize-space(sourcefile)" /></xsl:attribute><xsl:value-of select="@id" /></a></TD>
			<TD><xsl:if test="not(source)">-</xsl:if>	<xsl:value-of select="source" /></TD>
			<TD><xsl:if test="not(status)">-</xsl:if>	<xsl:value-of select="status" /></TD>
			<TD><xsl:if test="not(specieslist)">-</xsl:if>	<xsl:value-of select="specieslist" /></TD>
			<TD><xsl:if test="not(symbol)">-</xsl:if>	<xsl:value-of select="symbol" /></TD>
			<TD><xsl:if test="not(entrezlist)">-</xsl:if>	
			  <xsl:for-each select="entrezlist/entrez">
			    <a target="_blank"><xsl:attribute name="href">http://www.ncbi.nlm.nih.gov/gene/?term=<xsl:value-of select="normalize-space(.)" /></xsl:attribute><xsl:value-of select="." /></a>
			  </xsl:for-each></TD>
			<TD><xsl:if test="not(refseqlist)">-</xsl:if>	<xsl:value-of select="refseqlist" /></TD>
			<TD><xsl:if test="not(description)">-</xsl:if>	<xsl:value-of select="description" /></TD>
			<TD><xsl:if test="not(dbd)">-</xsl:if>		<xsl:value-of select="dbd" /></TD>
			<TD><xsl:if test="not(pmid)">-</xsl:if>		<a target="_blank"><xsl:attribute name="href">http://www.ncbi.nlm.nih.gov/pubmed/?term=<xsl:value-of select="normalize-space(pmid)" /></xsl:attribute><xsl:value-of select="pmid" /></a></TD>
			<TD><xsl:if test="not(pssm)">-</xsl:if>		<a href="seqLogo/{@id}.png" target="_blank"><img width="180" height="90" src="seqLogo/{@id}.png"></img></a></TD>
		</TR>
		</xsl:for-each>
	</TBODY>
</table>
</body>
</html>
</xsl:template>
</xsl:stylesheet>