import os,sys,numpy,time
import unittest
import motifIO.base

class Testmotifxml(unittest.TestCase):
    def testread(self):

        A = numpy.array( \
        [[ 0.252 , 0.102 , 0.13  , 0.516],\
         [ 0.231 , 0.316 , 0.267 , 0.186],\
         [ 0.371 , 0.148 , 0.154 , 0.326],\
         [ 0.344 , 0.183 , 0.241 , 0.233],\
         [ 0.189 , 0.407 , 0.15  , 0.254],\
         [ 0.373 , 0.214 , 0.093 , 0.32 ],\
         [ 0.159 , 0.324 , 0.355 , 0.161],\
         [ 0.387 , 0.042 , 0.554 , 0.016],\
         [ 0.16  , 0.046 , 0.096 , 0.698],\
         [ 0.006 , 0.991 , 0.002 , 0.001],\
         [ 0.984 , 0.011 , 0.001 , 0.004],\
         [ 0.001 , 0.975 , 0.009 , 0.015],\
         [ 0.051 , 0.006 , 0.942 , 0.001],\
         [ 0.006 , 0.004 , 0.009 , 0.981],\
         [ 0.001 , 0.002 , 0.973 , 0.024],\
         [ 0.437 , 0.262 , 0.086 , 0.215],\
         [ 0.106 , 0.184 , 0.06  , 0.649],\
         [ 0.087 , 0.549 , 0.129 , 0.234],\
         [ 0.278 , 0.127 , 0.253 , 0.342],\
         [ 0.223 , 0.198 , 0.438 , 0.141],\
         [ 0.367 , 0.306 , 0.194 , 0.133],\
         [ 0.226 , 0.322 , 0.117 , 0.335]] )

        # retrieve known motifs from known motifs XML file
        print motifIO.base.PWM_FILE
        known_motifs = motifIO.base.MotifList()
        known_motifs.from_xml_file(motifIO.base.PWM_FILE)

        B = known_motifs[0].pssm
        for i,row in enumerate(A):
            for j,elem in enumerate(row):
                self.assertEqual(elem,B[i,j])

        for elem in known_motifs:
            print elem
            print motifIO.base.pwm_to_iupac(elem.pssm)

        return

if __name__ == "__main__":
    unittest.main()

