from cistrome import regions

def main(genome,file,width,output_file,names,known_motifs):

    P = regions.interval(genome)
    P.read_bed(file)
    P.TrimBed(length=width)
    P.getSequence(repeatMasked=False)
    P.CountBases()
    basecont = P.basecontent

    if output_file:
        try:
            ofile = open(output_file,"w")
        except IOError:
            print "Output file cannot be opened."
            raise

    prob = cnt.count(P.seq)
    if names and len( names ) > 0:
        test_motifs = [ elem for elem in known_motifs if elem.id in names ]
    else:
        test_motifs = known_motifs

    for motif_elem in test_motifs:

        pssm = motif_elem.pssm
        id = str(motif_elem.id)

        if motif_elem.symbol:
            sym = motif_elem.symbol.strip()
            sym = sym.replace( '\/','_' )
        else:
            sym = id
            sym = sym.replace( '\/','_' )

        # break this into 100000's
        # concat rows 
        nloops = int(len(P.seq)/MAXSEQS)
        for iloop in range(nloops+1):
            if score_option == 'max':
                s_idx_t,start_t,end_t,orient_t,score_t = seq._seq.seqscan( P.seq[ MAXSEQS*iloop: min(len(P.seq), MAXSEQS*(iloop+1)) ], pssm, prob, order, MAXPROB )
            elif score_option == 'mean':
                s_idx_t,start_t,end_t,orient_t,score_t = seq._seq.seqscan( P.seq[ MAXSEQS*iloop: min(len(P.seq), MAXSEQS*(iloop+1)) ], pssm, prob, order, MEANPROB )

            if iloop == 0: 
                s_idx,start,end,orient,score = s_idx_t,start_t,end_t,orient_t,score_t 
            else:
                s_idx  = numpy.hstack((s_idx,s_idx_t))
                start  = numpy.hstack((start,start_t))
                end    = numpy.hstack((end,end_t))
                orient = numpy.hstack((orient,orient_t))
                score  = numpy.hstack((score,score_t))

            fp = open( "%s_%s_%s.txt" % (output_file,id,sym), "w" )
            fp.write( "chrom\tstart\tend\tPSSMscore" )
 
            for i in range(len(P.chrom)):
                fp.write( "%s\t%d\t%d\t%5.3f\n" % ( P.chrom[i], P.start[i], P.end[i], score[i]) )
            fp.close()

 

    return tsorted


