# Time-stamp: <2008-12-05 17:48:32 Tao Liu>

"""
Module Description: IO for BED

Copyright (c) 2008 Tao Liu <taoliu@jimmy.harvard.edu>

This code is free software; you can redistribute it and/or modify it
under the terms of the BSD License (see the file COPYING included with
the distribution).

@status:  experimental
@version: $Revision$
@author:  Tao Liu
@contact: taoliu@jimmy.harvard.edu
"""

# ------------------------------------
# python modules
# ------------------------------------

import sys
import re
import table.PeakIO as PeakIO

# ------------------------------------
# constants
# ------------------------------------

# ------------------------------------
# Misc functions
# ------------------------------------
def parse_BED (fhd):
    """Parse a tab-delimited bed file

    Return a PeakIO object containing peak regions.
    """
    peaks = PeakIO.PeakIO()
    for thisline in fhd:
        if not thisline: continue #return ("blank",None,None)
        if thisline.startswith("#"): continue #return ("comment line",None,None) # comment line is skipped
        thisfields = thisline.split()

        try:
            peaks.add(thisfields[0],int(thisfields[1]),int(thisfields[2]),1,1,1,1,1,1)
        except:
            print >> sys.stderr, "warning: unable to parse line of bed file\n%s" % thisline
    return peaks

